import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Mouse fload along in the Water. They are bad. Best to destroy
 * them if you can.
 * 
 * @author Michael Kölling
 * @version 0.1
 */
public class Mouse extends Actor
{
int speed;
    /**
     * Constructor. Nothing to do so far.
     */
    public Mouse()
    {
    speed = Greenfoot.getRandomNumber(3)+1;
    }

    /**
     * Float along the Water, slowly rotating.
     */
    public void act() 
    {
        setLocation(getX()-speed, getY());
        turn(1);
        
        if (getX() == 0) 
        {
            Sky sky=(Sky)getWorld();
            sky.addScore(-15);
            getWorld().removeObject(this);
            
        }
       
    }


}
